Create an initiative label
POST/api/v1/workspaces/{workspace_slug}/initiatives/labels/
Create an initiative label in the workspace.
Path parameters
workspace_slug:requiredstringThe workspace slug. It appears in your Plane URLs. In https://app.plane.so/my-team/projects/, the slug is my-team.
Body parameters
name:requiredstringThe label's name.
description:optionalstringThe label's description.
color:optionalstringDisplay color.
sort_order:optionalnumberPosition used for manual ordering.
Scopes
initiatives.labels:write
Create an initiative label
bash
curl -X POST \
"https://api.plane.so/api/v1/workspaces/my-workspace/initiatives/labels/" \
-H "X-API-Key: $PLANE_API_KEY" \
# Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"name": "Example Name",
"description": "Example description",
"color": "Example Name",
"sort_order": 1
}'python
import requests
response = requests.post(
"https://api.plane.so/api/v1/workspaces/my-workspace/initiatives/labels/",
headers={"X-API-Key": "your-api-key"},
json={
"name": "Example Name",
"description": "Example description",
"color": "Example Name",
"sort_order": 1
}
)
print(response.json())javascript
const response = await fetch(
"https://api.plane.so/api/v1/workspaces/my-workspace/initiatives/labels/",
{
method: "POST",
headers: {
"X-API-Key": "your-api-key",
"Content-Type": "application/json",
},
body: JSON.stringify({
name: "Example Name",
description: "Example description",
color: "Example Name",
sort_order: 1,
}),
},
);
const data = await response.json();Response201
json
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"name": "Example Name",
"description": "Example description",
"created_at": "2024-01-01T00:00:00Z"
}
